[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'GraphUtil' (#lcl)

# WaveTo

Draws a horizontal or vertical wave at the specified position to the given device context.

## Declaration

Source position: graphutil.pp line 87

`procedure WaveTo(`
`ADC: HDC;`
`X: Integer;`
`Y: Integer;`
`R: Integer`
`);`

## Arguments

`ADC` |  | Device context that is the target for the drawing operation.
`X` |  | Horizontal position where the wave is drawn.
`Y` |  | Vertical position where the wave is drawn.
`R` |  | Amplitude for changes in horizontal or vertical positions in the wave.